# $Revision: 1.54.2.4 $, $Date: 2006/08/02 18:22:40 $
Summary:	Extension for Nautilus to write CD
Summary(pl):	Rozszerzenie Nautilusa do zapisu pyt CD
Name:		nautilus-cd-burner
Version:	2.14.3
Release:	1
License:	LGPL v2+/GPL v2+ 
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/nautilus-cd-burner/2.14/%{name}-%{version}.tar.bz2
# Source0-md5:	c85642630b3db5ee0a40e2fdbf4fdf94
Patch0:		%{name}-desktop.patch
URL:		http://www.gnome.org/
Buildrequires:	GConf2-devel >= 2.14.0
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	eel-devel >= 2.14.3
BuildRequires:	gnome-mount-devel >= 0.4
BuildRequires:	gnome-vfs2-devel >= 2.14.2
BuildRequires:	hal-devel >= 0.5.6
BuildRequires:	intltool >= 0.33
BuildRequires:	libglade2-devel >= 1:2.5.1
BuildRequires:	libgnomeui-devel >= 2.14.1
BuildRequires:	nautilus-devel >= 2.14.3
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
Requires(post,preun): GConf2 >= 2.14.0
Requires:	%{name}-libs = %{version}-%{release}
Requires:	cdrecord
Requires:	mkisofs
Requires:	nautilus >= 2.14.3
Requires:	hal-libs >= 0.5.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nautilus-cd-burner is an extension to Nautilus that makes it easy to
write files to a CD burner.

%description -l pl
Nautilus-cd-burner to rozszerzenie Nautilusa, uatwiajce nagranie
plikw na pycie CD.

%package libs
Summary:	nautilus-cd-burner library
Summary(pl):	Biblioteka nautilus-cd-burner
Group:		Libraries

%description libs
nautilus-cd-burner library.

%description libs -l pl
Biblioteka nautilus-cd-burner.

%package devel
Summary:	Nautilus-cd-burner include files
Summary(pl):	Pliki nagwkowe Nautilus-cd-burner 
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.8.18

%description devel
Nautilus-cd-burner headers files.

%description devel -l pl
Pliki nagwkowe Nautilus-cd-burner.

%package static
Summary:	Static nautilus-cd-burner library
Summary(pl):	Statyczna biblioteka nautilus-cd-burner
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static nautilus-cd-burner library.

%description static -l pl
Statyczna biblioteka nautilus-cd-burner.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__autoconf}
%configure \
	--enable-gnome-mount \
	--enable-static \
	--disable-schemas-install
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-*/modules/*.{la,a}
rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0/*.{la,a}

rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install ncb.schemas

%preun
%gconf_schema_uninstall ncb.schemas

%post	libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README ChangeLog
%attr(755,root,root) %{_bindir}/nautilus-cd-burner
%attr(755,root,root) %{_libdir}/mapping-daemon
%attr(755,root,root) %{_libdir}/gnome-vfs-2.0/modules/*.so
%attr(755,root,root) %{_libdir}/nautilus/extensions-1.0/lib*.so*
%{_sysconfdir}/gnome-vfs-2.0/modules/*
%{_sysconfdir}/gconf/schemas/ncb.schemas
%{_datadir}/%{name}
%{_desktopdir}/*.desktop

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnautilus-burn.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnautilus-burn.so
%{_libdir}/libnautilus-burn.la
%{_includedir}/libnautilus-burn
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libnautilus-burn.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nautilus-cd-burner.spec,v $
Revision 1.54.2.4  2006/08/02 18:22:40  freetz
- 2.14.3

Revision 1.54.2.3  2006/05/31 19:18:35  freetz
- 2.14.2, GNOME 2.14.2 deps

Revision 1.54.2.2  2006/05/18 22:30:16  baggins
- release 3
- R: nautilus

Revision 1.54.2.1  2006/05/15 22:33:16  baggins
- merged from HEAD

Revision 1.57  2006/04/10 17:53:44  freetz
- dropped ver-workaround.patch, rel.2

Revision 1.56  2006/04/10 17:36:28  freetz
- 2.14.1

Revision 1.55  2006/04/02 11:28:19  freetz
- merged from DEVEL and updated to 2.14.0.2

Revision 1.53.2.7  2006/03/15 11:00:14  wiget
- added ver-workaround.patch (stupid workaround for floating micro version)
- enable desktop.patch
- release 2

Revision 1.53.2.6  2006/03/13 21:47:25  freetz
- 2.14.0.1

Revision 1.53.2.5  2006/03/13 14:57:04  freetz
- 2.14.0

Revision 1.53.2.4  2006/02/27 20:56:18  freetz
- 2.13.92, updated BR, enable gnome-mount support

Revision 1.53.2.3  2006/02/24 12:37:38  freetz
- 2.13.91, virtual R: for cdrtools and friends

Revision 1.53.2.2  2006/01/30 22:49:49  freetz
- 2.13.90

Revision 1.53.2.1  2006/01/30 18:36:34  freetz
- 2.13.5

Revision 1.54  2006/02/08 15:35:02  freetz
- 2.12.3

Revision 1.53  2005/11/28 18:09:02  freetz
- 2.12.2

Revision 1.52  2005/10/04 21:20:31  freetz
- 2.12.1, updated BRs

Revision 1.51  2005/09/06 17:45:26  freetz
- merged from DEVEL and updated to 2.12.0

Revision 1.48.2.5  2005/08/23 06:00:52  aflinta
- version 2.11.7

Revision 1.48.2.4  2005/08/18 11:36:10  aflinta
- rebuild with cairo, rel. 2

Revision 1.48.2.3  2005/08/05 22:02:07  paladine
- updated to 2.11.6

Revision 1.48.2.2  2005/07/25 17:58:57  freetz
- 2.11.5

Revision 1.48.2.1  2005/07/03 21:51:00  freetz
- 2.11.4, mandatory hal requirement (already 0.5.x API)
